package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * (SysEmail)表实体类
 *
 * @author makejava
 * @since 2022-01-04 17:07:43
 */
@ApiModel(value = "sys_email-${tableInfo.comment}")
public class SysEmail implements Serializable {
   @TableId(value = "id_", type = IdType.AUTO)
     @ApiModelProperty(value = "${column.comment}")
    private Integer id;
    
  @TableField("host_name_")
     @ApiModelProperty(value = "SMTP服务器")
    private String hostName;
    
  @TableField("smtp_port_")
     @ApiModelProperty(value = "SMTP服务器端口")
    private Integer smtpPort;
    
  @TableField("user_name_")
     @ApiModelProperty(value = "SMTP服务器认证用户名")
    private String userName;
    
  @TableField("password_")
     @ApiModelProperty(value = "SMTP服务器认证密码")
    private String password;
    
  @TableField("from_")
     @ApiModelProperty(value = "发件人邮箱")
    private String from;
    
  @TableField("from_name_")
     @ApiModelProperty(value = "落款")
    private String fromName;
    
  @TableField("tenant_id_")
     @ApiModelProperty(value = "${column.comment}")
    private Integer tenantId;
    
    private static final long serialVersionUID = 1L;
    
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public Integer getSmtpPort() {
        return smtpPort;
    }

    public void setSmtpPort(Integer smtpPort) {
        this.smtpPort = smtpPort;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getFromName() {
        return fromName;
    }

    public void setFromName(String fromName) {
        this.fromName = fromName;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }


}

